## org.apache.mahout.clustering.spectral.eigencuts
Class EigencutsAffinityCutsJob.EigencutsAffinityCutsMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.Text,VertexWritable>
          org.apache.mahout.clustering.spectral.eigencuts.EigencutsAffinityCutsJob.EigencutsAffinityCutsMapper

Enclosing class:
  EigencutsAffinityCutsJob

    public static class EigencutsAffinityCutsJob.EigencutsAffinityCutsMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.Text,VertexWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`EigencutsAffinityCutsJob.EigencutsAffinityCutsMapper()`

Method Summary
`protected void` `map(org.apache.hadoop.io.IntWritable key, VectorWritable row, org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EigencutsAffinityCutsJob.EigencutsAffinityCutsMapper

    public EigencutsAffinityCutsJob.EigencutsAffinityCutsMapper()

Method Detail

### map

    protected void map(org.apache.hadoop.io.IntWritable key,
                       VectorWritable row,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws java.io.IOException,
                       java.lang.InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.Text,VertexWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.